KDE 4.5 PyKDE API Reference

- KDE's Python API

# KParts Namespace Reference

`from PyKDE4.kparts.KParts import *`

## Detailed Description

## Class Index

B | H | PartManager (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | PartSelectEvent (KParts)
BrowserExtension (KParts) | L | Plugin (KParts)
BrowserHostExtension (KParts) | LiveConnectExtension (KParts) | PluginInfo (KParts.Plugin)
BrowserInterface (KParts) | M | R
BrowserOpenOrSaveQuestion (KParts) | MainWindow (KParts) | ReadOnlyPart (KParts)
BrowserRun (KParts) | O | ReadWritePart (KParts)
E | OpenUrlArguments (KParts) | S
Event (KParts) | OpenUrlEvent (KParts) | ScriptableExtension (KParts)
F | P | StatusBarExtension (KParts)
Factory (KParts) | Part (KParts) | W
G | PartActivateEvent (KParts) | WindowArgs (KParts)
GUIActivateEvent (KParts) | PartBase (KParts) |

## Functions
long | qHash (KParts::ScriptableExtension::Object o)
long | qHash (KParts::ScriptableExtension::FunctionRef f)

## Function Documentation

long qHash | ( | KParts::ScriptableExtension::Object | o
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping

long qHash | ( | KParts::ScriptableExtension::FunctionRef | f
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping